commit 08d1b22b3be2305ad6b83ca275829ff26305f5d7
Author: Michael Meskes <meskes@postgresql.org>
Date:   Sun Nov 24 12:51:21 2013 +0100

    Allow C array definitions to use sizeof().
    
    When parsing C variable definitions ecpg should allow sizeof() operators as array dimensions.

diff --git a/src/interfaces/ecpg/preproc/ecpg.trailer b/src/interfaces/ecpg/preproc/ecpg.trailer
index 342b7bc..6ef9f1a 100644
--- a/src/interfaces/ecpg/preproc/ecpg.trailer
+++ b/src/interfaces/ecpg/preproc/ecpg.trailer
@@ -1865,6 +1865,11 @@ Iresult:        Iconst			{ $$ = $1; }
                 | Iresult '%' Iresult   { $$ = cat_str(3, $1, mm_strdup("%"), $3); }
                 | ecpg_sconst		{ $$ = $1; }
                 | ColId                 { $$ = $1; }
+		| ColId '(' ColId ')'   { if (pg_strcasecmp($1, "sizeof") != 0)
+						mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
+					 else
+						$$ = cat_str(4,$1, mm_strdup("("), $3, mm_strdup(")"));
+					}
                 ;
 
 execute_rest: /* EMPTY */	{ $$ = EMPTY; }
